#ifndef POP3_H
#define POP3_H

#include <stdio.h>
#include <iostream.h>
#include "sockets.h"
#include "parser.h"

const int RECV_BUFFER_LENGTH = 100;

class Pop3 : public Sockets
{
	public:
		Pop3(char *hostName, int portNumber, char *inUserId, char *inPasswd,
			char *inEmailDir, bool inLeaveOnServer);	
		~Pop3();
		bool sendUserId();
		bool sendPasswd();
		int getNumMessages();
		ssize_t getSizeMessage(int messageNum);
		bool retrMessages();
		bool deleMessages();
		bool recvCommand();
		bool recvMessage(ssize_t messageSize);
		bool checkOK(char *recvBuffer);
		int intLength(int num);
		bool quit();


	private:
		char *userId;
		char *passwd;
		char *emailDir;
		bool leaveOnServer;
};

#endif
