#include "settings.h"

Settings::Settings(char *settingsFileName)
{
	ifstream inFile;
	inFile.open(settingsFileName);
	if(!inFile)
	{
		cout << "Error: popclient.settings file not found.\n";
		return;
	}

	hostName = new char[SETTING_MAX_LENGTH];
	userId = new char[SETTING_MAX_LENGTH];
	passwd = new char[SETTING_MAX_LENGTH];
	emailDir = new char[SETTING_MAX_LENGTH];
	
	char ch;
	int k;
	
	while(inFile.get(ch))
	{
		if(ch == 34)
		{
			k = 0;
			inFile.get(ch);
			while(ch != 34)
			{
				hostName[k++] = ch;
				inFile.get(ch);
			}
		}
		inFile >> portNumber;
		inFile.get(ch);
		inFile.get(ch);
		if(ch == 34)
		{
			k = 0;
			inFile.get(ch);
			while(ch != 34)
			{
				userId[k++] = ch;
				inFile.get(ch);
			}
		}
		inFile.get(ch);
		inFile.get(ch);
		if(ch == 34)
		{
			k = 0;
			inFile.get(ch);
			while(ch != 34)
			{
				passwd[k++] = ch;
				inFile.get(ch);
			}
		}
		inFile.get(ch);
		inFile.get(ch);
		if(ch == 34)
		{
			k = 0;
			inFile.get(ch);
			while(ch != 34)
			{
				emailDir[k++] = ch;
				inFile.get(ch);
			}
		}
		inFile >> leaveOnServer;
	}		
	
	inFile.close();
}

Settings::~Settings()
{
	delete[] hostName;
	delete[] userId;
	delete[] passwd;
	delete[] emailDir;
}

char *Settings::getHostName()
{
	return hostName;
}

int Settings::getPortNumber()
{
	return portNumber;
}

char *Settings::getUserId()
{
	return userId;
}

char *Settings::getPasswd()
{
	return passwd;
}

char *Settings::getEmailDir()
{
	return emailDir;
}

bool Settings::getLeaveOnServer()
{
	return leaveOnServer;
}	
		
		